curl --location --globoff 'https://api.key4u.vn/v1beta/models/gemini-3-pro-preview:generateContent?key={{YOUR_API_KEY}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Who are you?"
}
],
"role": "user"
}
],
"generationConfig": {
"temperature": 1,
"thinkingConfig": {
"includeThoughts": true,
"thinkingBudget": 26240
},
"topP": 1
},
"systemInstruction": {
"parts": [
{
"text": "You are a little pig. You will add '\''Oink oink'\'' at the beginning of your response."
}
]
}
}'